### Virtual Method

# FwupdPlugin Efivars delete_with_glob

#### Declaration [src]

    gboolean
    delete_with_glob (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name_glob,
      GError** error
    )

#### Description [src]

Removes a group of variables from NVRAM.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name_glob` | `const gchar*`
| Variable name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.